xfig {base} | R Documentation

## XFig Graphics Device

### Description

`xfig` starts the graphics device driver for producing XFig (version 3.2) graphics.

The auxiliary function `ps.options` can be used to set and view (if called without arguments) default values for the arguments to `xfig` and `postscript`.

### Usage

    xfig(file = "Rplots.fig", ...)

### Details

Although `xfig` can produce multiple plots in one file, the XFig format does not say how to separate or view them. So `onefile=FALSE` is the default.

### Note

One some line textures (`0 <= lty > 4`) are used. Eventually this will be partially remedied, but the XFig file format does not allow as general line textures as the R model. Unimplemented line textures are displayed as dash-double-dotted.

There is a limit of 512 colours (plus white and black) per file.

### See Also

`Devices`, `postscript`.

[Package Contents]